%% function getimage24bpp(variable)
%% 
%% Reads a 24bpp BMP image and opens it using an ImageJ macro
%% Creates a file named 'macroIJ24bpp.txt'
%% Creates also a file named 'tmpname.bmp'
%% 
%% TODO: fix the file names by using OCTAVE comamnds,
%% such as 'octave_tmp_file_name' or 'tmp_nam'
%%
function getimage24bpp(variable)

varname=inputname(1);

%system('rm tmpname.txt');
if (size(variable,3) != 3)
  error('image is not 24bpp');
end

macroname='macroIJ24bpp.txt';
imagepath=sprintf('/Users/florent/octave/');
imagename=[imagepath 'tmpname.bmp'];
bmpwrite(uint8(variable), imagename);

fullmacroname = [imagepath macroname];

[File,msg] = fopen (fullmacroname,'w');

fprintf(File,'// OpenBMPImages\n');
fprintf(File,'//\n');
fprintf(File,'// This macro opens a 24bpp BMP image \n');

fprintf(File,'img = "%s";\n',imagename);
fprintf(File,'open(img)\n');

fclose(File);

cmd=['java -jar /Applications/Images/ImageJ/ImageJ.app/Contents/Resources/Java/ij.jar ' fullmacroname, ' &'];

system(cmd);

end
